import { Form } from '../../e2elib/lib/src/pageobjects/form.component';
import { ListSOP } from '../../libappsop/listsop';
import { DialogProduct } from '../dialogs/dialog.product';

export class FormProduct extends Form {
  public listProduct = new ListProduct();

  public constructor() {
    super('FormProducts');
  }
}

export class ListProduct extends ListSOP<DialogProduct, ListProductColumn> {
  public static title = 'Products';
  public constructor() {
    super('FormProducts.ListProduct', new DialogProduct());

    // Set primary key column name(s), to display in error message when assert fails
    this.rowPrimaryColumnNames = {Name: ''};
  }
}

export interface ListProductColumn {
  Name?: string;
}

const listProductContextMenuItem = {
  Create: { ContextMenu: 'listContextMenuProduct', Name: 'MenuCreate', Label: 'Create' },
  Edit: { ContextMenu: 'listContextMenuProduct', Name: 'MenuEdit', Label: 'Edit' },
};

export { listProductContextMenuItem as ListProductContextMenuItem };
